Get_Resampling_Pvalue {SKAT} | R Documentation

## Compute a resampling p-value

### Description

Compute a resampling p-value using resampled residuals. To use it, SKAT_Null_Model or SKAT_Null_Model_MomentAdjust should have n.Resampling > 0.

### Usage

    	Get_Resampling_Pvalue(obj)

    	Get_Resampling_Pvalue_1(p.value, p.value.resampling)

### Arguments

`obj` | SKAT outcome object.
`p.value` | a numeric value of the SKAT p-value.
`p.value.resampling` | a vector of p-values from the resampled residuals.

### Details

See SKAT_Null_Model

### Value

`p.value` | the resampling p-value. It is computed as (n1 +1)/(n+1), where n is the number of resampling (n.Resampling in SKAT_Null_Model or SKAT_Null_Model_MomentAdjust), and n1 is the number of resampled residual p-values smaller than the original sample p-value.
`is_smaller` | a logical value indicates whether the resampling p-value should be smaller. If n1=0, then it is TRUE, otherwise it is FALSE.

### Author(s)

Seunggeun Lee

[Package SKAT version 1.3.2.1 Index]